/**
 * Описание типа компонента
 *
 * <br>
 * Связанные объекты:
 *
 * - {@link GroupTypes GroupTypes} - менеджер типов групп
 *
 * @class GroupType
 * @memberof GroupTypes
 */
function GroupType() {
    /**
     *
     *
     * @public
     * @function self
     * @memberof GroupTypes.GroupType
     * @returns {v2.vc}
     */
    this.self = function () {

    };

    /**
     *
     * @public
     * @function parent
     * @memberof GroupTypes.GroupType
     * @returns {v2.vc}
     */
    this.parent = function () {

    };

    /**
     *
     * @public
     * @function consist
     * @memberof GroupTypes.GroupType
     * @returns {v2.vc}
     */
    this.consist = function () {

    };

    /**
     * Позволяет получить все атрибуты компонента.
     *
     * @public
     * @function attributes
     * @memberof GroupTypes.GroupType
     * @returns {v2.map(v2.string, v2.vc)}
     */
    this.attributes = function () {

    };

    /**
     * Иконка, которой обладает тип компонента
     *
     * @public
     * @function icon
     * @memberof GroupTypes.GroupType
     * @returns {v2.vc}
     */
    this.icon = function () {

    };

    /**
     * Имя компонента (уже в нужной локали)
     *
     * @public
     * @function name
     * @memberof GroupTypes.GroupType
     * @returns {v2.string}
     */
    this.name = function () {

    };

    /**
     * Описание компонента (уже в нужной локали)
     *
     * @public
     * @function description
     * @memberof GroupTypes.GroupType
     * @returns {v2.string}
     */
    this.description = function () {

    };

    /**
     * Тип паблишера, который будет создаваться для данного компонента.
     *
     * Этот метод предназначен для гридов в поисках по компонентам.
     *
     * @public
     * @function publisher_type
     * @memberof GroupTypes.GroupType
     * @returns {v2.model_type}
     */
    this.publisher_type = function () {

    };
}