/**
 * Описание типа компонента
 *
 * <br>
 * Связанные объекты:
 *
 * - {@link LinkTypes LinkTypes} - менеджер типов групп
 *
 * @class LinkType
 * @memberof LinkTypes
 */
function LinkType() {
    /**
     *
     *
     * @public
     * @function self
     * @memberof LinkTypes.LinkType
     * @returns {v2.vc}
     */
    this.self = function () {

    };

    /**
     *
     * @public
     * @function parent
     * @memberof LinkTypes.LinkType
     * @returns {v2.vc}
     */
    this.parent = function () {

    };

    /**
     *
     * @public
     * @function consist
     * @memberof LinkTypes.LinkType
     * @returns {v2.vc}
     */
    this.consist = function () {

    };

    /**
     * Позволяет получить все атрибуты компонента.
     *
     * @public
     * @function attributes
     * @memberof LinkTypes.LinkType
     * @returns {v2.map(v2.string, v2.vc)}
     */
    this.attributes = function () {

    };

    /**
     * Иконка, которой обладает тип компонента
     *
     * @public
     * @function icon
     * @memberof LinkTypes.LinkType
     * @returns {v2.vc}
     */
    this.icon = function () {

    };

    /**
     * Имя компонента (уже в нужной локали)
     *
     * @public
     * @function name
     * @memberof LinkTypes.LinkType
     * @returns {v2.string}
     */
    this.name = function () {

    };

    /**
     * Описание компонента (уже в нужной локали)
     *
     * @public
     * @function description
     * @memberof LinkTypes.LinkType
     * @returns {v2.string}
     */
    this.description = function () {

    };

    /**
     * Является ли данный тип линка направленным
     *
     * @public
     * @function vector
     * @memberof LinkTypes.LinkType
     * @returns {v2.boolean}
     */
    this.vector = function () {

    };
}