/**
 * #### Атрибут линка
 *
 * <br>
 * Связанные объекты:
 *
 * - {@link Links} - Менеджер предоставляющий доступ к данным о линках
 * - {@link Links.Link} - Модель линка
 * - {@link Links.Link.Attributes} - Менеджер предоставляющий доступ к атрибутам линка
 *
 * @group manager
 * @class Attribute
 * @memberof Links.Link.Attributes
 */
function Attribute() {
    /**
     * Возвращает имя атрибута
     *
     * @public
     * @function name
     * @returns {v2.string}
     * @memberof Links.Link.Attributes.Attribute
     */
    this.name = function() {

    };

    /**
     * Возвращает мета атрибуты атрибута
     *
     * @public
     * @function data
     * @returns {v2}
     * @memberof Links.Link.Attributes.Attribute
     */
    this.data = function() {

    };

    /**
     * Возвращает значение атрибута
     *
     * @public
     * @function value
     * @returns {v2}
     * @memberof Links.Link.Attributes.Attribute
     */
    this.value = function() {

    };

    /**
     * Возвращает тип атрибута
     *
     * @public
     * @function type
     * @returns {v2.type}
     * @memberof Links.Link.Attributes.Attribute
     */
    this.type = function() {

    };
}