/**
 * ### Группы моделей (Компоненты)
 *
 * <br>
 * Связанные объекты:
 *
 * - {@link Models.Model.Groups.Group Group} - Группа модели (тип компонента)
 * - {@link Models.Model.Groups.BaseGroup BaseGroup} - Базовая группа (есть у любого девайса - **baseComponent**)
 * - {@link Models.Model Model} - Модель (устройство, девайс). Доступ к данным модели
 * - {@link Models Models} - Менеджер моделей.
 *
 * @group manager
 * @class Groups
 * @extends manager
 * @memberof Models.Model
 */
var Groups = function () {
    /**
     *
     * @public
     * @function all
     * @memberof Models.Model.Groups
     * @returns {v2.deque(v2.string)}
     */
    this.all = function () {

    };

    /**
     *
     * @public
     * @function is_group_exist
     * @memberof Models.Model.Groups
     * @returns {boolean}
     */
    this.is_group_exist = function () {

    };

    /**
     *
     * @public
     * @function get
     * @memberof Models.Model.Groups
     * @param alias {v2.string}
     * @returns {tools.promise(Models.Model.Groups.Group)}
     */
    this.get = function (alias) {

    }
};